Subject: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

From: Bill Cerveny <[email-masked]>
Date: Sun, 2 Aug 2015 20:22:17 -0400

Dear IPPM Participants:

We are commencing a working group last call (WGLC) for “Registries for the One-Way Active Measurement Protocol - OWAMP” (draft-ietf-ippm-owamp-registry-00) until Friday, August 14, 2015.

Please send comments to [email-masked], including statements that you've reviewed the document and are okay with sending it up to the IESG for publication.

For those new to IETF process, the WGLC process is discussed at:
- https://tools.ietf.org/html/rfc2418#section-7.4
- https://tools.ietf.org/html/rfc6174#section-4.2.7
 
Basic information on the document is below.

Regards,

Bill Cerveny
IPPM WG Co-chair

>         Title           : Registries for the One-Way Active Measurement Protocol - OWAMP
>         Author          : Al Morton
> 	Filename        : draft-ietf-ippm-owamp-registry-00.txt
> 	Pages           : 7
> 	Date            : 2015-07-24
> 
> Abstract:
>    This memo describes the registries for OWAMP - the One-Way Active
>    Measurement Protocol.  The registries allow assignment of MODE bit
>    positions and OWAMP Command numbers.  The memo also requests that
>    IANA establish the registries for new features, called the OWAMP-
>    Modes registry and the OWAMP Control Command Number registry.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-ippm-owamp-registry/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-ippm-owamp-registry-00
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/

---

From: Bill Cerveny <[email-masked]>
Date: Mon, 10 Aug 2015 15:34:21 -0400

Dear IPPM Participants,

The WGLC for “Registries for the One-Way Active Measurement Protocol - OWAMP” (draft-ietf-ippm-owamp-registry-00) ends Friday, August 14, 2015.  To date, we have not received any comments or indications of support for sending the document to the IESG for publication. If you have any comments, please sendthem to [email-masked] <mailto:[email-masked]> by Friday, August 14, 2015.

Thanks,

Bill Cerveny
IPPM WG Co-chair

> On Aug 2, 2015, at 8:22 PM, Bill Cerveny <[email-masked]> wrote:
> 
> Dear IPPM Participants:
> 
> Please send comments to [email-masked] <mailto:[email-masked]>, including statements that you've reviewed the document and are okay with sending it up to the IESG for publication.
> 
> - https://tools.ietf.org/html/rfc2418#section-7.4 <https://tools.ietf.org/html/rfc2418#section-7.4>
>> https://datatracker.ietf.org/doc/draft-ietf-ippm-owamp-registry/ <https://datatracker.ietf.org/doc/draft-ietf-ippm-owamp-registry/>
>> 
>> https://tools.ietf.org/html/draft-ietf-ippm-owamp-registry-00 <https://tools.ietf.org/html/draft-ietf-ippm-owamp-registry-00>
>> 
>> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>

---

From: "Ackermann, Michael" <[email-masked]>
Date: Wed, 12 Aug 2015 16:00:44 +0000

I have read this drat.  This is a very  important area this is high quality work.    I fully support this work and commend Al Morton and his team for their related efforts.

Thanks

Mike

From: ippm [mailto:[email-masked]] On Behalf Of Bill Cerveny
Sent: Monday, August 10, 2015 3:34 PM
To: [email-masked]
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear IPPM Participants,

The WGLC for “Registries for the One-Way Active Measurement Protocol - OWAMP” (draft-ietf-ippm-owamp-registry-00) ends Friday, August 14, 2015.  To date, we have not received any comments or indications of support for sending the document to the IESG for publication. If you have any comments, please sendthem to [email-masked]<mailto:[email-masked]> by Friday, August 14, 2015.

Thanks,

Bill Cerveny
IPPM WG Co-chair

On Aug 2, 2015, at 8:22 PM, Bill Cerveny <[email-masked]<mailto:[email-masked]>> wrote:

Dear IPPM Participants:

Please send comments to [email-masked]<mailto:[email-masked]>, including statements that you've reviewed the document and are okay with sending it up to the IESG for publication.

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

   Pages           : 7

   Date            : 2015-07-24

Abstract:

The information contained in this communication is highly confidential and is intended solely for the use of the individual(s) to whom this communication is directed. If you are not the intended recipient, you are hereby notified that any viewing, copying, disclosure or distribution of this information is prohibited. Please notify the sender, by electronic mail or telephone, of any unintended receipt and delete the original message without making any copies.
 
 Blue Cross Blue Shield of Michigan and Blue Care Network of Michigan are nonprofit corporations and independent licensees of the Blue Cross and Blue Shield Association.

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 12 Aug 2015 16:44:15 +0000

Dear Authors, et. al,
apologies for delayed review.

the document is well written and is clear. I have some comments and questions:

·         I’d suggest to change OWAMP-Control Number allocation as follow:

      Value  Description             Semantics Definition
       0      Reserved
       1      Request-Session         RFC 4656, Section 3.5<https://tools.ietf.org/html/rfc4656#section-3.5>
       2      Start-Sessions          RFC 4656, Section 3.7<https://tools.ietf.org/html/rfc4656#section-3.7>
       3      Stop-Sessions           RFC 4656, Section 3.8<https://tools.ietf.org/html/rfc4656#section-3.8>
       4      Fetch-Sessions          RFC 4656, Section 3.9<https://tools.ietf.org/html/rfc4656#section-3.9>
       5-253  Unassigned
       254    Experimentation         This Memo
       255    Reserved

·         The RFC 4656 defined Unauthenticated, Authenticated and Encrypted modes not as bit positions but as values. The IANA TWAMP-Modes sub-registry refers to them as such. This document re-defines these modes as bit positions but does not redefine the TWAMP-Modes sub-registry explicitly. I believe that the scope of the document should be expanded and should include explicit update of the TWAMP-Modes sub-registry so that it has the same first column ‘Bit position’ as proposed OWAMP-Modes sub-registry.

·         Bit position 4 been designated to indicate IPsec mode without a reference or explanation. Is this mode being introduced in this document? I thin k that the new mode requires more discussion.

·         The following may benefit from re-wording:
  Thus, the last four bits of the Modes 32-bit Field are used.  When no other features are
   activated, the first 28 bits MUST be zero.  A client conforming to
   this extension of [RFC5357<https://tools.ietf.org/html/rfc5357>] MAY ignore the values in the first 28
   bits of the Modes Field, or it MAY support other features that are
   communicated in these bit positions.
We usually refer to most significant and least significant, not first and last bit positions. Perhaps the following be acceptable:
 Thus, the four Least Significant Bits (LSB) of the Modes 32-bit Field are used.  When no other features are
   activated, twenty eight  Most Significant Bits (MSB) MUST be zero.  A client conforming to
   this extension of [RFC5357<https://tools.ietf.org/html/rfc5357>] MAY ignore the values in the twenty eight
   MSB of the Modes Field, or it MAY support other features that are
   communicated in these bit positions.

·         Nit. The short name of the document “TWAMP Extensions” is confusing

Greatly appreciate your consideration of my comments as WGLC comments.

Regards,
                                Greg
From: ippm [mailto:[email-masked]] On Behalf Of Bill Cerveny
Sent: Monday, August 10, 2015 12:34 PM
To: [email-masked]
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear IPPM Participants,

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

  Pages           : 7

  Date            : 2015-07-24

Abstract:

---

From: Srivathsa Sarangapani <[email-masked]>
Date: Thu, 13 Aug 2015 04:10:46 +0000

Hi,

I have read the document and I do fully support the adoption of this.

--
Regards,
Vathsa

From: Bill Cerveny <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, August 11, 2015 at 1:04 AM
To: <[email-masked]<mailto:[email-masked]>>
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear IPPM Participants,

The WGLC for "Registries for the One-Way Active Measurement Protocol - OWAMP" (draft-ietf-ippm-owamp-registry-00) ends Friday, August 14, 2015.  To date, we have not received any comments or indications of support for sending the document to the IESG for publication. If you have any comments, please sendthem to [email-masked]<mailto:[email-masked]> by Friday, August 14, 2015.

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

We are commencing a working group last call (WGLC) for "Registries for the One-Way Active Measurement Protocol - OWAMP" (draft-ietf-ippm-owamp-registry-00) until Friday, August 14, 2015.

Regards,

Bill Cerveny
IPPM WG Co-chair

Abstract:

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 13 Aug 2015 04:54:04 +0000

Dear Authors, et. al,
I may have looked at older version of the draft.
The 4 bit position of OWAMP Modes referenced to I-D.ietf-ippm-ipsec<https://tools.ietf.org/html/draft-ietf-ippm-owamp-registry-00#ref-I-D.ietf-ippm-ipsec>. As this is the case, I suggest that allocation be done only from the I-D.ietf-ippm-ipsec<https://tools.ietf.org/html/draft-ietf-ippm-owamp-registry-00#ref-I-D.ietf-ippm-ipsec> according to structure of the new sub-registry, not from this document.

                Regards,
                                Greg

From: Gregory Mirsky
Sent: Wednesday, August 12, 2015 9:44 AM
To: 'Bill Cerveny'; [email-masked]
Subject: RE: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear Authors, et. al,

Regards,
                                Greg
From: ippm [mailto:[email-masked]] On Behalf Of Bill Cerveny
Sent: Monday, August 10, 2015 12:34 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear IPPM Participants,

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

  Pages           : 7

  Date            : 2015-07-24

Abstract:

---

From: Vinayak Hegde <[email-masked]>
Date: Thu, 13 Aug 2015 15:48:56 +0530

I have read through the document and it looks okay to send to the IESG
for publication.

Thanks
Vinayak

On Tue, Aug 11, 2015 at 1:04 AM, Bill Cerveny <[email-masked]> wrote:
> Dear IPPM Participants,
>
> The WGLC for “Registries for the One-Way Active Measurement Protocol -
> OWAMP” (draft-ietf-ippm-owamp-registry-00) ends Friday, August 14, 2015.  To
> date, we have not received any comments or indications of support for
> sending the document to the IESG for publication. If you have any comments,
> please sendthem to [email-masked] by Friday, August 14, 2015.
>
> Thanks,
>
> Bill Cerveny
> IPPM WG Co-chair
>
> We are commencing a working group last call (WGLC) for “Registries for the
> One-Way Active Measurement Protocol - OWAMP”
> (draft-ietf-ippm-owamp-registry-00) until Friday, August 14, 2015.
>
> Please send comments to [email-masked], including statements that you've
> reviewed the document and are okay with sending it up to the IESG for
> publication.
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: Kostas Pentikousis <[email-masked]>
Date: Fri, 14 Aug 2015 14:25:41 +0200

Dear Bill, all,

I have read the draft and I support sending it to IESG for publication.

I have a small nit to report in sec. 3.2.4: s/the last four/the five least significant/. After this editorial change, it’s all good to go.

Best regards,

Kostas

Von: Bill Cerveny [mailto:[email-masked]]
Gesendet: Montag, 10. August 2015 21:34
An: [email-masked]
Betreff: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear IPPM Participants,

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

 Pages           : 7

 Date            : 2015-07-24

Abstract:

---

From: Gregory Mirsky <[email-masked]>
Date: Fri, 14 Aug 2015 15:04:08 +0000

Hi Kostas, et. al,
if this draft to allocate new bit position, though I still wonder why it to be done here and not in the security document, then another editorial changes must be made to keep us in 32 bit-long boundary. In the following:
When no other features are
   activated, the first 28 bits MUST be zero.  A client conforming to
   this extension of [RFC5357<https://tools.ietf.org/html/rfc5357>] MAY ignore the values in the first 28
   bits of the Modes Field, or it MAY support other features that are
   communicated in these bit positions.
change all 28 to 27 and all “first” to “most significant”, as perhaps:
When no other features are
   activated, the 27 most significant bits (MSB) MUST be zero.  A client conforming to
   this extension of [RFC5357<https://tools.ietf.org/html/rfc5357>] MAY ignore the values in the 27 MSB
   bits of the Modes Field, or it MAY support other features that are
   communicated in these bit positions.

Though I’d greatly appreciate authors of this and security document elaborate on why allocation proposed and referenced in both documents.

                Regards,
                                Greg

From: ippm [mailto:[email-masked]] On Behalf Of Kostas Pentikousis
Sent: Friday, August 14, 2015 5:26 AM
To: Bill Cerveny; [email-masked]
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear Bill, all,

Best regards,

Kostas

Von: Bill Cerveny [mailto:[email-masked]]
Gesendet: Montag, 10. August 2015 21:34
An: [email-masked]<mailto:[email-masked]>
Betreff: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear IPPM Participants,

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

 Pages           : 7

 Date            : 2015-07-24

Abstract:

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Wed, 26 Aug 2015 14:06:30 -0400

IPPM,

This draft

https://tools.ietf.org/html/draft-ietf-ippm-owamp-registry-01

addresses the WGLC comments, consistent with
existing agreements which include making draft-ietf-ippm-ipsec
Normatively-dependent on the companion owamp-registry draft.
All IANA’s considerations for the TWAMP registry are found
in draft-ietf-ippm-ipsec, likewise IANA only needs to consider
draft-ietf-ippm-owamp-registry when creating the new registries.

Note that text describing the Mode bits as first/last comes
directly from https://tools.ietf.org/html/rfc4656#section-3.1
Also, no one noticed the reference to TWAMP instead of OWAMP,
and that other revisions were required in the paragraph below.

Thanks to everyone for constructive comments and re-affirmation
of support.

Al

From: ippm [mailto:[email-masked]] On Behalf Of Gregory Mirsky
Sent: Friday, August 14, 2015 11:04 AM
To: Kostas Pentikousis; Bill Cerveny; [email-masked]<mailto:[email-masked]>
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Hi Kostas, et. al,

                Regards,
                                Greg

From: ippm [mailto:[email-masked]] On Behalf Of Kostas Pentikousis
Sent: Friday, August 14, 2015 5:26 AM
To: Bill Cerveny; [email-masked]<mailto:[email-masked]>
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

Dear Bill, all,

Best regards,

Kostas

Dear IPPM Participants,

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

 Pages           : 7

 Date            : 2015-07-24

Abstract:

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 26 Aug 2015 18:16:23 +0000

Hi Al,
thank you for your kind consideration of my WGLC comments. I find them all addressed in the latest update.

                Regards,
                                Greg

From: ippm [mailto:[email-masked]] On Behalf Of MORTON, ALFRED C (AL)
Sent: Wednesday, August 26, 2015 11:07 AM
To: [email-masked]
Subject: Re: [ippm] WGLC for draft-ietf-ippm-owamp-registry-00

IPPM,

This draft

Al

Hi Kostas, et. al,

                Regards,
                                Greg

Dear Bill, all,

Best regards,

Kostas

Dear IPPM Participants,

Thanks,

Bill Cerveny
IPPM WG Co-chair

Dear IPPM Participants:

Regards,

Bill Cerveny
IPPM WG Co-chair

        Author          : Al Morton

 Pages           : 7

 Date            : 2015-07-24

Abstract: